Skip to main content
List quote requests

Query Parameters

cargo_ready_from
string<date>

Inclusive cargo-ready date.

cargo_ready_to
string<date>

Exclusive cargo-ready date.

destination_port_id
string[]

Id of the arrival port, as returned by /v1/ports/{locode} for the same freight_mode.

Pattern: ^[0-9]{1,18}$
freight_mode
enum<string>
Available options:
air,
ocean,
rail,
truck
incoterm
enum<string>[]
Available options:
exw,
fca,
fas,
fob,
cpt,
cfr,
cif,
cip,
dap,
ddp,
dpu,
dat
load_type
enum<string>
Available options:
fcl,
lcl
origin_port_id
string[]

Id of the departure port, as returned by /v1/ports/{locode} for the same freight_mode.

Pattern: ^[0-9]{1,18}$
pricing_status
enum<string>

Active-list pricing refinement. Pending is not_answered and available is propositions_sent.

Available options:
not_answered,
propositions_sent

Search text from the Hermès quotations list.

service
enum<string>
Available options:
chartering,
courier
skip
integer
default:0
Required range: 0 <= x <= 2147483647
sort_by
enum<string>
default:cargo_ready_date
Available options:
cargo_ready_date,
name
sort_direction
enum<string>
default:desc
Available options:
asc,
desc
status
enum<string>
default:all
Available options:
all,
active,
accepted,
archived_declined,
expired
take
integer
default:10
Required range: 0 <= x <= 100

Response

Default Response

items
object[]
required
total
integer
required

Number of visible matches before pagination.